/*
 * This file is part of Bielefeld Sensor Actuator Interface (BonSAI).
 *
 * Copyright(c) Frederic Siepmann
 * http://opensource.cit-ec.de/projects/bonsai
 *
 * This file may be licensed under the terms of of the
 * GNU Lesser General Public License Version 3 (the ``LGPL''),
 * or (at your option) any later version.
 *
 * Software distributed under the License is distributed
 * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
 * express or implied. See the LGPL for the specific language
 * governing rights and limitations.
 *
 * You should have received a copy of the LGPL along with this
 * program. If not, go to http://www.gnu.org/licenses/lgpl.html
 * or write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * The development of this software was supported by the
 * Excellence Cluster EXC 277 Cognitive Interaction Technology.
 * The Excellence Cluster EXC 277 is a grant of the Deutsche
 * Forschungsgemeinschaft (DFG) in the context of the German
 * Excellence Initiative.
 *
 * Contributors: Leon Ziegler, Johannes Wienke, Norman Köster, Torben Töniges,
 *               Annika Rothert, Alexander Baumann, Marcel Dulisch, Maikel Linke,
 *               Marian Pohling, Lukas Twardon, Lukas Kettenbach
 */
package de.unibi.airobots.bonsai.examples;

import org.apache.log4j.BasicConfigurator;

//import de.unibi.airobots.bonsai.actuators.NavigationActuator;
import de.unibi.airobots.bonsai.core.BonsaiManager;
import de.unibi.airobots.bonsai.sensors.PersonSensor;
import de.unibi.airobots.bonsai.sensors.data.PersonList;

/**
 * A simple test program for testing the xcf based navigation actuator.
 * 
 * @author jwienke
 */
public class NavigationActuatorTest {

    /**
     * Main method.
     * 
     * @param args
     *            command lien arguments
     */
    public static void main(String[] args) {

        BasicConfigurator.configure();

        try {

            BonsaiManager manager = BonsaiManager.getInstance();
            manager.configure(NavigationActuatorTest.class.getResource(
                    "loader.xml").toURI());

            // NavigationActuator navAct = manager.createActuator(
            // "NavigationActuator", NavigationActuator.class);
            // navAct.setGoal(new NavigationGoalData("test", 1, 1, 0,
            // NavigationGoalData.GoalType.LOCAL));

            // additionally get the hwa actuator
            // HwaActuator hwa = manager.createActuator("HwaActuator",
            // HwaActuator.class);

            // TODO remote this cast!
            PersonSensor personSensor = (PersonSensor) manager.createSensor(
                    "PersonSensor", PersonList.class);

            while (true) {

                PersonList list = personSensor.readLast();

                System.out.println("Current persons: " + list);

                // CHECKSTYLE:OFF
                Thread.sleep(1000);
                // CHECKSTYLE:ON

            }

            // CHECKSTYLE:OFF
        } catch (Exception e) {
            // CHECKSTYLE:ON
            e.printStackTrace();
            System.exit(1);
        }

    }

}
